// src/index.ts
function isString(x) {
  return typeof x === "string";
}
function shikiClassTransformer({
  map,
  key = "color",
  dev = false
}) {
  return {
    tokens(tokens) {
      for (const items of tokens) {
        for (const token of items) {
          const htmlStyle = token.htmlStyle;
          if (!htmlStyle || isString(htmlStyle)) {
            continue;
          }
          const foreground = htmlStyle[key]?.toLowerCase();
          if (!foreground) {
            return;
          }
          if (!token.htmlAttrs) {
            token.htmlAttrs = {};
          }
          let originClassName = token.htmlAttrs.class ?? "";
          if (dev) {
            console.log(htmlStyle);
          }
          const className = map[foreground];
          if (className) {
            originClassName += ` ${className}`;
          }
          token.htmlAttrs.class = originClassName.trim();
        }
      }
    }
  };
}
export {
  shikiClassTransformer
};
